make configurable methods const
Status: Closed Start date: 2012-09-30

Priority: Normal Due date:  

Assignee: Christof Elbrechter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: icl-8.1   

Description

most methods of the Configurable interface are not const

leading to issues, when using getPropertyValue in const methods

of derived classes

History

#1 - 2013-02-14 11:11 - Christof Elbrechter

- Assignee set to Viktor Richter

- Target version changed from icl-8.0 to icl-8.1

#2 - 2013-02-25 14:51 - Viktor Richter

- Status changed from New to Feedback

- Assignee changed from Viktor Richter to Christof Elbrechter

- % Done changed from 0 to 100

Made functions const where possible.

Made mutex in Configurable & ConfigurableProxy mutable so locking can be used in const functions.

#3 - 2017-11-22 22:15 - Alexander Neumann

- Status changed from Feedback to Closed
